curl --request PATCH \
--url https://api.zavu.dev/v1/sub-accounts/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"externalId": "<string>",
"creditLimit": 1,
"metadata": {},
"status": "active"
}
'{
"subAccount": {
"id": "<string>",
"name": "Client ABC",
"status": "active",
"totalSpent": 123,
"createdAt": "2023-11-07T05:31:56Z",
"externalId": "<string>",
"creditLimit": 123,
"metadata": {},
"apiKey": "<string>"
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Sub-account ID.
Sub-account updated.
Show child attributes
curl --request PATCH \
--url https://api.zavu.dev/v1/sub-accounts/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"externalId": "<string>",
"creditLimit": 1,
"metadata": {},
"status": "active"
}
'{
"subAccount": {
"id": "<string>",
"name": "Client ABC",
"status": "active",
"totalSpent": 123,
"createdAt": "2023-11-07T05:31:56Z",
"externalId": "<string>",
"creditLimit": 123,
"metadata": {},
"apiKey": "<string>"
}
}